# WOK
TKWOK
WOKernel

# WOKernel_Array1OfHSequenceOfHAsciiString Class Reference

`#include <WOKernel_Array1OfHSequenceOfHAsciiString.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKernel_Array1OfHSequenceOfHAsciiString (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | WOKernel_Array1OfHSequenceOfHAsciiString (const Handle(TColStd_HSequenceOfHAsciiString)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(TColStd_HSequenceOfHAsciiString)&V)
Standard_EXPORT void | Destroy ()
| ~WOKernel_Array1OfHSequenceOfHAsciiString ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const WOKernel_Array1OfHSequenceOfHAsciiString & | Assign (const WOKernel_Array1OfHSequenceOfHAsciiString &Other)
const WOKernel_Array1OfHSequenceOfHAsciiString & | operator= (const WOKernel_Array1OfHSequenceOfHAsciiString &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(TColStd_HSequenceOfHAsciiString)&Value)
const Handle_TColStd_HSequenceOfHAsciiString & | Value (const Standard_Integer Index) const
const Handle_TColStd_HSequenceOfHAsciiString & | operator() (const Standard_Integer Index) const
Handle_TColStd_HSequenceOfHAsciiString & | ChangeValue (const Standard_Integer Index)
Handle_TColStd_HSequenceOfHAsciiString & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | WOKernel_Array1OfHSequenceOfHAsciiString (const WOKernel_Array1OfHSequenceOfHAsciiString &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_Array1OfHSequenceOfHAsciiString::WOKernel_Array1OfHSequenceOfHAsciiString | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT WOKernel_Array1OfHSequenceOfHAsciiString::WOKernel_Array1OfHSequenceOfHAsciiString | ( | const Handle(TColStd_HSequenceOfHAsciiString)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

WOKernel_Array1OfHSequenceOfHAsciiString::~WOKernel_Array1OfHSequenceOfHAsciiString | ( |  | ) | `[inline]`

Standard_EXPORT WOKernel_Array1OfHSequenceOfHAsciiString::WOKernel_Array1OfHSequenceOfHAsciiString | ( | const WOKernel_Array1OfHSequenceOfHAsciiString & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const WOKernel_Array1OfHSequenceOfHAsciiString& WOKernel_Array1OfHSequenceOfHAsciiString::Assign | ( | const WOKernel_Array1OfHSequenceOfHAsciiString & | Other | ) |

Handle_TColStd_HSequenceOfHAsciiString& WOKernel_Array1OfHSequenceOfHAsciiString::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void WOKernel_Array1OfHSequenceOfHAsciiString::Destroy | ( |  | ) |

Standard_EXPORT void WOKernel_Array1OfHSequenceOfHAsciiString::Init | ( | const Handle(TColStd_HSequenceOfHAsciiString)& | V | ) |

Standard_Boolean WOKernel_Array1OfHSequenceOfHAsciiString::IsAllocated | ( |  | ) | const

Standard_Integer WOKernel_Array1OfHSequenceOfHAsciiString::Length | ( |  | ) | const

Standard_Integer WOKernel_Array1OfHSequenceOfHAsciiString::Lower | ( |  | ) | const

void WOKernel_Array1OfHSequenceOfHAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKernel_Array1OfHSequenceOfHAsciiString::operator new | ( | size_t | size | ) | `[inline]`

void* WOKernel_Array1OfHSequenceOfHAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_TColStd_HSequenceOfHAsciiString& WOKernel_Array1OfHSequenceOfHAsciiString::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_TColStd_HSequenceOfHAsciiString& WOKernel_Array1OfHSequenceOfHAsciiString::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const WOKernel_Array1OfHSequenceOfHAsciiString& WOKernel_Array1OfHSequenceOfHAsciiString::operator= | ( | const WOKernel_Array1OfHSequenceOfHAsciiString & | Other | ) | `[inline]`

void WOKernel_Array1OfHSequenceOfHAsciiString::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | Value
| ) |

Standard_Integer WOKernel_Array1OfHSequenceOfHAsciiString::Upper | ( |  | ) | const

const Handle_TColStd_HSequenceOfHAsciiString& WOKernel_Array1OfHSequenceOfHAsciiString::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean WOKernel_Array1OfHSequenceOfHAsciiString::isAllocated `[private]`

Standard_Integer WOKernel_Array1OfHSequenceOfHAsciiString::myLowerBound `[private]`

Standard_Address WOKernel_Array1OfHSequenceOfHAsciiString::myStart `[private]`

Standard_Integer WOKernel_Array1OfHSequenceOfHAsciiString::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- WOKernel_Array1OfHSequenceOfHAsciiString.hxx